Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router
Class StatisticsManager

    java.lang.Object
      net.i2p.router.StatisticsManager

All Implemented Interfaces:
  Service

    public class StatisticsManager

extends Object
implements Service

Maintain the statistics about the router

Field Summary
`static String` | `DEFAULT_PROP_PUBLISH_RANKINGS`
`static String` | `PROP_PUBLISH_RANKINGS`

Constructor Summary
`StatisticsManager(RouterContext context)`

Method Summary
`Properties` | `publishStatistics()` Retrieve a snapshot of the statistics that should be published
`void` | `renderStatusHTML(Writer out)`
`void` | `restart()` Perform a soft restart.
`void` | `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
`void` | `startup()` Instruct the service that it should start normal operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_PUBLISH_RANKINGS

    public static final String PROP_PUBLISH_RANKINGS

See Also:
  Constant Field Values

### DEFAULT_PROP_PUBLISH_RANKINGS

    public static final String DEFAULT_PROP_PUBLISH_RANKINGS

See Also:
  Constant Field Values

Constructor Detail

### StatisticsManager

    public StatisticsManager(RouterContext context)

Method Detail

### shutdown

    public void shutdown()

  Description copied from interface: `Service`
  Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.

  Specified by:
    `shutdown` in interface `Service`

### restart

    public void restart()

  Description copied from interface: `Service`
  Perform a soft restart.

  Specified by:
    `restart` in interface `Service`

### startup

    public void startup()

  Description copied from interface: `Service`
  Instruct the service that it should start normal operation. This call DOES block until the service is ready.

  Specified by:
    `startup` in interface `Service`

### publishStatistics

    public Properties publishStatistics()

  Retrieve a snapshot of the statistics that should be published

### renderStatusHTML

    public void renderStatusHTML(Writer out)

  Specified by:
    `renderStatusHTML` in interface `Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD